DPKG-STATOVERRIDE(8)

NOMBRE
dpkg-statoverride -- cambia el propietario y grupo de ficheros

SINOPSIS
dpkg-statoverride [opciones] --add <usuario> <grupo> <modo> <fichero>
dpkg-statoverride [opciones] --remove <fichero>
dpkg-statoverride [opciones] --list [<patrón-global>]

DESCRIPCIÓN
`La excepción de propiedades' es un modo de indicar a dpkg que use un propietario o modo diferente para un fichero cuando lo instale. (nota: aquí usamos la palabra `fichero', pero puede tratarse de cualquier objeto del sistema de ficheros que dpkg pueda manejar, incluyendo directorios, dispositivos, etc). Puede usarse para forzar que programas que normalmente se instalan como setuid se instalen sin esta marca, o que sólo sean ejecutables por un grupo en concreto.

dpkg-statoverride es una utilidad para administrar la lista de excepciones. Tiene tres funciones básicas: añadir, eliminar y listar las excepciones.

OPCIONES

--add <usuario> <grupo> <modo> <fichero>
    Añade una excepción al <fichero>. No es necesario que exista el <fichero> cuando se use esta orden, la excepción se guardará para usarse posteriormente. Los usuarios y los grupos pueden especificarse por su nombre (por ejemplo root o nobody), o por su número precedido por un `#' (por ejemplo #0 o #65534).

    Si se especifica la opción --update y existe <fichero>, se le asigna inmediatamente el nuevo propietario y modo.

--remove <fichero>
    Elimina una excepción de <fichero>, esta orden no modifica el estado de <fichero>.

--list [<patrón-global>]
    Lista todas las excepciones. Si se especifica un patrón global, éste restringe la salida a lo que concuerde con el patrón. Si no hay ninguna excepción o ninguna concuerda con el patrón dpkg-statoverride terminará con un código de salida igual a 1.

--force
    Fuerza una acción, incluso si ésta pudiese resultar perjudicial. Es necesario para modificar una excepción existente.

--update
    Trata inmediatamente de cambiar el fichero al nuevo propietario y modo, si es que existe.

--quiet
    Es menos explicativo a cerca de lo que realiza.

--help
    Muestra la versión, copyright y modo de uso.

--admindir
    Cambia el directorio con la base de datos de dpkg donde también se guarda la información relativa a statoverride. Por omisión es /var/lib/dpkg.

FICHEROS

/var/lib/dpkg/statoverride
    Fichero que contiene la lista actual de excepciones de propiedades del sistema. Se encuentra en el directorio de administración dpkg, junto con otros ficheros importantes para dpkg, como `status' o `available'.
    Nota: dpkg-statoverride preserva una copia antigua del fichero con la extensión "-old" antes de reemplazarla con una nueva.

VÉASE TAMBIÉN
dpkg(8)

AUTOR
Copyright 2000 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>